Propose a change to a skill
POST
/v1/skills/{skillId}/changes
const url = 'https://shareout.site/v1/skills/example/changes';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"markdown":"example","title":"example","note":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://shareout.site/v1/skills/example/changes \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "markdown": "example", "title": "example", "note": "example" }'Any workspace member may propose. Nothing is applied until an approver merges, which republishes the skill as an ordinary new version.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”skillId
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
markdown
required
string
title
string
note
string
Examplegenerated
{ "markdown": "example", "title": "example", "note": "example"}Responses
Section titled “Responses”Change request opened
